#ifndef BILLYSHEET_GUI_HPP
#define BILLYSHEET_GUI_HPP

#include <filesystem>
#include "menu.hpp"

namespace fs = std::filesystem;

namespace gui {

	class GuiData;

	class Gui final {
	private:
		GuiData &data;

		Menu menu;

		fs::path font;

		bool initialized{ false };
	public:
		Gui() = delete;

		explicit Gui(GuiData &data);

		~Gui() noexcept;

		void render_gui();

		void render_gpu() const;
	};
}

#endif //BILLYSHEET_GUI_HPP
